### A free/open-source library for quantitative finance

Public Member Functions
BlackCallableFixedRateBondEngine Class Reference

Black-formula callable fixed rate bond engine. More...

`#include <ql/experimental/callablebonds/blackcallablebondengine.hpp>`

Inheritance diagram for BlackCallableFixedRateBondEngine:
[legend]

List of all members.

## Public Member Functions

| BlackCallableFixedRateBondEngine (const Handle< Quote > &fwdYieldVol, const Handle< YieldTermStructure > &discountCurve)
| volatility is the quoted fwd yield volatility, not price vol
| BlackCallableFixedRateBondEngine (const Handle< CallableBondVolatilityStructure > &yieldVolStructure, const Handle< YieldTermStructure > &discountCurve)
| volatility is the quoted fwd yield volatility, not price vol
void | calculate () const

## Detailed Description

Black-formula callable fixed rate bond engine.

Callable fixed rate bond Black engine. The embedded (European) option follows the Black "European bond option" treatment in Hull, Fourth Edition, Chapter 20.

Possible enhancements:
  set additionalResults (e.g. vega, fairStrike, etc.)

Warning:
  This class has yet to be tested